org.apache.hc.client5.http.impl.io

## Class DefaultHttpResponseParserFactory

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.DefaultHttpResponseParserFactory

- All Implemented Interfaces:
    org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.ClassicHttpResponse>

      @Contract(threading=STATELESS)
      public class DefaultHttpResponseParserFactory
      extends Object
      implements org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.ClassicHttpResponse>

  Default factory for response message parsers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpResponseParserFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpResponseParserFactory()`
    `DefaultHttpResponseParserFactory(org.apache.hc.core5.http.HttpResponseFactory<org.apache.hc.core5.http.ClassicHttpResponse> responseFactory)`
    `DefaultHttpResponseParserFactory(org.apache.hc.core5.http.message.LineParser lineParser, org.apache.hc.core5.http.HttpResponseFactory<org.apache.hc.core5.http.ClassicHttpResponse> responseFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hc.core5.http.io.HttpMessageParser<org.apache.hc.core5.http.ClassicHttpResponse>` | `create(org.apache.hc.core5.http.config.Http1Config h1Config)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpResponseParserFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(org.apache.hc.core5.http.message.LineParser lineParser,
                                          org.apache.hc.core5.http.HttpResponseFactory<org.apache.hc.core5.http.ClassicHttpResponse> responseFactory)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory(org.apache.hc.core5.http.HttpResponseFactory<org.apache.hc.core5.http.ClassicHttpResponse> responseFactory)

    - #### DefaultHttpResponseParserFactory

          public DefaultHttpResponseParserFactory()

  - ### Method Detail

    - #### create

          public org.apache.hc.core5.http.io.HttpMessageParser<org.apache.hc.core5.http.ClassicHttpResponse> create(org.apache.hc.core5.http.config.Http1Config h1Config)

      Specified by:
        `create` in interface `org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.ClassicHttpResponse>`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.